#include "scenecontroller.h"
#include "scene.h"
#include "camera.h"
#include <QObject>

void SceneController::setScene(Scene* myScene)
{
    scene = myScene;
    camera = scene->getCamera();
}

void SceneController::mouseEvent(int button, bool state)
{
    switch (button) {
    case Qt::LeftButton:
        grabbed += state ? 1 : -1;
        break;
    case Qt::RightButton:
        grabbed += state ? 2 : -2;
        break;
    case Qt::MiddleButton:
        grabbed += state ? 4 : -4;
        break;
    default:
        break;
    }
}

