#ifndef UTILS_H
#define UTILS_H

#include <string>
class QImage;

class Utils
{
public:
    static std::string fileToString(const std::string &filename);

    class Image
    {
    private:
        QImage* img;
    public:
        Image(std::string filename);
        ~Image();
        int depth();
        int width();
        int height();
        void* pixels();
    };
};

#endif // UTILS_H
