#ifndef SKYBOX_H
#define SKYBOX_H

#include "entity.h"
#include <glew/glew.h>
#include <string>

class SkyBox : public Entity
{
private:
    static const GLfloat skyboxVertices[];
    static const std::string vertSource;
    static const std::string fragSource;
    GLuint vao;
    GLuint vbo;
public:
    SkyBox(const std::string filename[6]);
    ~SkyBox();
    virtual void draw(const glm::mat4 viewMatrix, const glm::mat4 projectionMatrix);
};

#endif // SKYBOX_H
